import { StateAdapter } from '../state-adapter';
export declare class MemoryStateAdapter implements StateAdapter {
    private state;
    init(): Promise<void>;
    get<T>(traceId: string, key: string): Promise<T | null>;
    set<T>(traceId: string, key: string, value: T): Promise<void>;
    delete(traceId: string, key: string): Promise<void>;
    clear(traceId: string): Promise<void>;
    keys(traceId: string): Promise<string[]>;
    traceIds(): Promise<string[]>;
    cleanup(): Promise<void>;
    private _makeKey;
}
